% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Session.R
\name{saveSession}
\alias{saveSession}
\title{Save Session to File}
\usage{
saveSession(filename = NULL, base.url = .defaultBaseUrl)
}
\arguments{
\item{filename}{The path and name of the session file to save}

\item{base.url}{(optional) Ignore unless you need to specify a custom domain,
port or version to connect to the CyREST API. Default is http://localhost:1234
and the latest version of the CyREST API supported by this version of RCy3.}
}
\value{
server response
}
\description{
Saves the current Cytoscape session as a CYS file.
}
\details{
If no \code{filename} is provided, then it attempts to
save to an existing CYS file associated with the session. If 
\code{filename} already exists, then it is overwritten.
}
\examples{
\donttest{
saveSession('/fullpath/mySession')
saveSession() 
}
}
